http:
  routers:
    iam-service-router:
      rule: "PathPrefix(`/api/v1/auth`)"
      service: iam-service
      priority: 100
      middlewares:
        - auth-ratelimit
        - cors
        - secure-headers
      entryPoints:
        - web

    iam-service-users-router:
      rule: "PathPrefix(`/api/v1/users`) || PathPrefix(`/api/v1/identity`) || PathPrefix(`/api/v1/access`) || PathPrefix(`/api/v1/governance`) || PathPrefix(`/api/v1/rbac`) || PathPrefix(`/api/v1/mfa`) || PathPrefix(`/api/v1/sessions`)"
      service: iam-service
      priority: 100
      middlewares:
        - auth-ratelimit
        - cors
        - secure-headers
      entryPoints:
        - web

    web-admin-router:
      rule: "Host(`admin.goodgo.vn`) || Host(`admin.localhost`)"
      service: web-admin
      middlewares:
        - cors
        - secure-headers
      entryPoints:
        - web

    web-client-router:
      rule: "Host(`goodgo.vn`) || Host(`localhost`)"
      service: web-client
      middlewares:
        - cors
        - secure-headers
      entryPoints:
        - web

  services:
    iam-service:
      loadBalancer:
        servers:
          - url: "http://iam-service:5001"
    
    web-admin:
      loadBalancer:
        servers:
          - url: "http://web-admin:3000"
    
    web-client:
      loadBalancer:
        servers:
          - url: "http://web-client:3001"